Create Container State

Create Container State

Only Solution users, Container admins, and System admins can create ContainerStates.

Request
URI
POST
https://{api_host}/container-service/api/resources/containers
COPY
Request Body
ContainerState of type(s) application/json
Required
{
    "cpuShares": 0,
    "volumesFrom": [
        "string"
    ],
    "ports": [
        {
            "protocol": "string",
            "hostIp": "string",
            "containerPort": "string",
            "hostPort": "string"
        }
    ],
    "compositeComponentLink": "string",
    "hostReference": "string",
    "powerState": "string",
    "isDeleted": false,
    "groupResourcePlacementLink": "string",
    "extraHosts": [
        "string"
    ],
    "tagLinks": [
        "string"
    ],
    "groupLinks": [
        "string"
    ],
    "links": [
        "string"
    ],
    "id": "string",
    "image": "string",
    "documentExpirationTimeMicros": "string",
    "parentLink": "string",
    "address": "string",
    "created": 0,
    "volumeDriver": "string",
    "volumes": [
        "string"
    ],
    "descriptionLink": "string",
    "started": 0,
    "env": [
        "string"
    ],
    "storageLimit": 0,
    "command": [
        "string"
    ],
    "documentUpdateTimeMicros": "string",
    "names": [
        "string"
    ],
    "system": false,
    "adapterManagementReference": "string",
    "documentSelfLink": "string",
    "name": "string",
    "memoryLimit": 0,
    "tenantLinks": [
        "string"
    ],
    "status": "string"
}
integer As int32 As int32
cpuShares
Optional

cpuShares

array of string
volumesFrom
Optional

volumesFrom

array of PortBinding
ports
Optional

ports

object
networks
Optional

networks

string
compositeComponentLink
Optional

compositeComponentLink

string
hostReference
Optional

hostReference

string
powerState
Optional

powerState

Possible values are : UNKNOWN, PROVISIONING, RUNNING, PAUSED, STOPPED, RETIRED, ERROR,
boolean
isDeleted
Optional

isDeleted

string
groupResourcePlacementLink
Optional

groupResourcePlacementLink

array of string
extraHosts
Optional

extraHosts

array of string
tagLinks
Optional

tagLinks

array of string
groupLinks
Optional

groupLinks

array of string
links
Optional

links

string
id
Optional

id

string
image
Optional

image

string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
parentLink
Optional

parentLink

string
address
Optional

address

integer As int64 As int64
created
Optional

created

string
volumeDriver
Optional

volumeDriver

array of string
volumes
Optional

volumes

string
descriptionLink
Optional

descriptionLink

integer As int64 As int64
started
Optional

started

array of string
env
Optional

env

integer As int64 As int64
storageLimit
Optional

storageLimit

array of string
command
Optional

command

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

object
customProperties
Optional

customProperties

array of string
names
Optional

names

boolean
system
Optional

system

string
adapterManagementReference
Optional

adapterManagementReference

string
documentSelfLink
Optional

documentSelfLink

string
name
Optional

name

integer As int64 As int64
memoryLimit
Optional

memoryLimit

object
attributes
Optional

attributes

array of string
tenantLinks
Optional

tenantLinks

string
status
Optional

status

Responses
200

successful operation

Returns ContainerState of type(s) */*
{
    "cpuShares": 0,
    "volumesFrom": [
        "string"
    ],
    "ports": [
        {
            "protocol": "string",
            "hostIp": "string",
            "containerPort": "string",
            "hostPort": "string"
        }
    ],
    "compositeComponentLink": "string",
    "hostReference": "string",
    "powerState": "string",
    "isDeleted": false,
    "groupResourcePlacementLink": "string",
    "extraHosts": [
        "string"
    ],
    "tagLinks": [
        "string"
    ],
    "groupLinks": [
        "string"
    ],
    "links": [
        "string"
    ],
    "id": "string",
    "image": "string",
    "documentExpirationTimeMicros": "string",
    "parentLink": "string",
    "address": "string",
    "created": 0,
    "volumeDriver": "string",
    "volumes": [
        "string"
    ],
    "descriptionLink": "string",
    "started": 0,
    "env": [
        "string"
    ],
    "storageLimit": 0,
    "command": [
        "string"
    ],
    "documentUpdateTimeMicros": "string",
    "names": [
        "string"
    ],
    "system": false,
    "adapterManagementReference": "string",
    "documentSelfLink": "string",
    "name": "string",
    "memoryLimit": 0,
    "tenantLinks": [
        "string"
    ],
    "status": "string"
}
integer As int32 As int32
cpuShares
Optional

cpuShares

array of string
volumesFrom
Optional

volumesFrom

array of PortBinding
ports
Optional

ports

object
networks
Optional

networks

string
compositeComponentLink
Optional

compositeComponentLink

string
hostReference
Optional

hostReference

string
powerState
Optional

powerState

Possible values are : UNKNOWN, PROVISIONING, RUNNING, PAUSED, STOPPED, RETIRED, ERROR,
boolean
isDeleted
Optional

isDeleted

string
groupResourcePlacementLink
Optional

groupResourcePlacementLink

array of string
extraHosts
Optional

extraHosts

array of string
tagLinks
Optional

tagLinks

array of string
groupLinks
Optional

groupLinks

array of string
links
Optional

links

string
id
Optional

id

string
image
Optional

image

string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
parentLink
Optional

parentLink

string
address
Optional

address

integer As int64 As int64
created
Optional

created

string
volumeDriver
Optional

volumeDriver

array of string
volumes
Optional

volumes

string
descriptionLink
Optional

descriptionLink

integer As int64 As int64
started
Optional

started

array of string
env
Optional

env

integer As int64 As int64
storageLimit
Optional

storageLimit

array of string
command
Optional

command

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

object
customProperties
Optional

customProperties

array of string
names
Optional

names

boolean
system
Optional

system

string
adapterManagementReference
Optional

adapterManagementReference

string
documentSelfLink
Optional

documentSelfLink

string
name
Optional

name

integer As int64 As int64
memoryLimit
Optional

memoryLimit

object
attributes
Optional

attributes

array of string
tenantLinks
Optional

tenantLinks

string
status
Optional

status


201

'Created' is returned for the new state with the state url in the location header of the response;

Operation doesn't return any data structure

Create Operations
POST
Create Auth Credentials Service State
POST
Create Closure Description
POST
Create Closure State
POST
Create Composite Component
POST
Create Composite Description
POST
Create Compute Description
POST
Create Compute Network
POST
Create Compute Network Description
POST
Create Compute Profile
POST
Create Compute State
POST
Create Configuration State
POST
Create Container Description
POST
Create Container Network Description
POST
Create Container Network State
POST
Create Container State
POST
Create Container Type
POST
Create Container Volume Description
POST
Create Container Volume State
POST
Create Deployment Policy
POST
Create Disk State
POST
Create Elastic Placement Zone Configuration State
POST
Create Elastic Placement Zone State
POST
Create Endpoint State
POST
Create Event Log State
POST
Create Group Resource Placement State
POST
Create Image Enumeration Task State
POST
Create Image State
POST
Create Network Interface Description
POST
Create Network Interface State
POST
Create Network Profile
POST
Create Network State
PUT
Create Or Update Container Type
POST
Create Profile State
POST
Create Registry State
POST
Create Request Broker State
POST
Create Resource Group State
POST
Create Resource Pool State
POST
Create Service Document Delete Task State
POST
Create Ssl Trust Certificate State
POST
Create Ssl Trusted Certificate State
POST
Create Storage Profile
POST
Create Subnet State
POST
Create Tag Assignment Request
POST
Create Tag State